import {Base} from '../../static/util/base.js'

class ZfTaskList extends Base {

    constructor() {
        super();
    }

    /**
     * 查询检测机构执法人员全部任务
     * @param data
     * @param callBack
     */
    getCheckTaskList(data,callBack) {
        var params = {
            url: '/ah/ahZoneSampleCheck/getCheckTaskList',
            data:data,
            sCallBack: function (res) {
                callBack && callBack(res.data)
            }
        }
        this.serviceRequest(params);
    }

    /**
     * 查询检测机构执法人员需执行的任务
     * @param data
     * @param callBack
     */
    getCheckTaskListBySample(data,callBack) {
        var params = {
            url: '/ah/ahZoneSampleCheck/getCheckTaskListBySample',
            data:data,
            sCallBack: function (res) {
                callBack && callBack(res.data)
            }
        }
        this.serviceRequest(params);
    }

}
const _zfyTaskList = new ZfTaskList();
export {_zfyTaskList}